Botan 1.10.17

Namespaces | Functions
big_ops3.cpp File Reference
`#include <botan/bigint.h>`
`#include <botan/divide.h>`
`#include <botan/internal/mp_core.h>`
`#include <botan/internal/bit_ops.h>`
`#include <algorithm>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
BigInt | Botan::operator% (const BigInt &n, const BigInt &mod)
word | Botan::operator% (const BigInt &n, word mod)
BigInt | Botan::operator* (const BigInt &x, const BigInt &y)
BigInt | Botan::operator+ (const BigInt &x, const BigInt &y)
BigInt | Botan::operator- (const BigInt &x, const BigInt &y)
BigInt | Botan::operator/ (const BigInt &x, const BigInt &y)
BigInt | Botan::operator<< (const BigInt &x, size_t shift)
BigInt | Botan::operator>> (const BigInt &x, size_t shift)